Subject: bug#18545: 24.4.50: Bug - forward-line inside with-selected-window

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Sep 2014 16:29:42 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 26 Sep 2014 08:48:27 -0400
> 
> Why does
> 
>  (with-selected-window (get-buffer-window "*Completions*")
>    (recenter 5))
> 
> require an explicit call to wset_redisplay from recenter, whereas
> 
>  (with-selected-window (get-buffer-window "*Completions*")
>    (forward-line 1))
> 
> doesn't need an explicit call to wset_redisplay (or bset_redisplay) from
> forward-line?

I think that's because forward-line moves point, while recenter
doesn't.

But if you'd like to add wset_redisplay to forward-line, I won't
object.